Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1092609 - Searching for objects that _do not_ have a tag in the search bar is not possible
Summary: Searching for objects that _do not_ have a tag in the search bar is not possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: Petr Matyáš
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-29 14:50 UTC by Julio Entrena Perez
Modified: 2016-02-10 19:17 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
With this feature, users can now search for objects that have tags or objects that do not have tags.
Clone Of:
: 1205149 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:00:53 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
screenshot showing that this is an unsupported operation (deleted)
2014-05-20 07:39 UTC, Eli Mesika
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 869683 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28280 master MERGED core: enable <not equal> operator for tag search Never

Description Julio Entrena Perez 2014-04-29 14:50:06 UTC
Description of problem:
While searching for objects that do have a specific tag in the search bar is possible (e.g. "Vms: tag = tag1") searching for objects that do not have a tag is not possible (e.g. "Vms: tag != tag1" returns nothing).

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.3.2-0.50.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Create two tags "tag1" and "tag2".
2. Assign "tag1" to vm1 and "tag2" to vm2.
3. Search for "Vms: tag != tag1" in the search bar.

Actual results:
Nothing is displayed.

Expected results:
At least vm2 is displayed.

Additional info:
Searching with != operator is possible for other properties such as Name (e.g. "Vms: name != vm1").

Comment 1 Eli Mesika 2014-05-20 07:39:46 UTC
Created attachment 897468 [details]
screenshot showing that this is an unsupported operation

Comment 2 Eli Mesika 2014-05-20 07:41:42 UTC
Please note that this operation is not supported currently as shown in the attached screen shot.
If you think that this is a mandatory operation, you should open a RFE

Comment 3 Julio Entrena Perez 2014-05-20 08:56:38 UTC
(In reply to Eli Mesika from comment #2)
> Please note that this operation is not supported currently as shown in the
> attached screen shot.
> If you think that this is a mandatory operation, you should open a RFE

As per "F.3.6. Searching for Objects Using Tags" section of the Administration Guide:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/To_search_for_objects_using_tags.html

<quote>
See Also:

    Section F.1, “Search” 
</quote>

As per table "Table F.3. Example Search Criteria" in section "F.1.5. Search Criteria":

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/appe-Using_Search_Bookmarks_and_Tags_to_Find_Your_Way_Around.html#Search_criteria

<quote>
operator 	Comparison operators. 	
=
!= (not equal)
>
<
>=
<=
	-- 	Value options depend on obj-type. 
</quote>

Please fix the search or fix the documentation.

Comment 5 errata-xmlrpc 2015-02-11 18:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.